// ==UserScript==
// @include        http://zhukov.github.io/webogram/*
// @require        utils.js
// ==/UserScript==

window.Unity = external.getUnityObject(1);

function checkMessagesCount() {
    var total_msg = document.getElementsByClassName("im_dialog_badge badge ng-binding").length;
    var read_msg  = document.getElementsByClassName("im_dialog_badge badge ng-binding ng-hide").length;
    var unread_msg = total_msg - read_msg;
    
    if (unread_msg > 0) {
        Unity.Launcher.setCount(unread_msg);
        Unity.MessagingIndicator.showIndicator("Unread chats", {count: unread_msg});
    }
    else {
        Unity.Launcher.clearCount();
        Unity.MessagingIndicator.clearIndicators();
    }
}

function unityLoaded() {
    setInterval(wrapCallback(checkMessagesCount), 2500);
}


Unity.init({ name:     'Telegram',
             domain:   'zhukov.github.io',
             homepage: 'http://zhukov.github.io/webogram/',
             iconUrl:  'icon://unity-webapps-telegram',
             onInit:   wrapCallback(unityLoaded) });
